#### D.15.16.12 printNormalForm

Procedure from library `polyclass.lib` (see polyclass_lib).

Usage:
  printNormalForm(F); F NormalForm

Return:
  print a normal form with its important characteristics

Example:

    LIB "polyclass.lib";
    ring R=(0,a),(x,y),ds;
    minpoly = a^2-2;
    poly f=x^4+x^2*y^2+7*a*y^8;
    Poly F = makePoly(f);
    ring S =(0,a),(x,y),ds;
    poly g = x^4+x^2*y^2+a*y^8;
    Poly G = makePoly(g);
    ring T=QQ,(a),dp;
    poly h=a;
    Poly H=makePoly(h);
    setring R;
    NormalForm N;
    N.exceptionalHypersurface = H;
    N.numbervars =2;
    N.corank =2;
    N.normalForm = G;
    N.normalFormEquation = F;
    N.extension1=makePoly(0);
    N.extension2=makePoly(0);
    N.nondegeneratePart = makePoly(0);
    N.semiNormalizedNNBGerm = F;
    N.modality = 1;
    N.corank = 2;
    N.determinacy = 8;
    N.milnorNumber = milnor(F.value);
    N.parameters = list(makePoly(y^8));
    N.singularityType = "X[13]";
    printNormalForm(N);
    ==> Embedding dimension = 2
    ==> Corank of singularity = 2
    ==> Normal form of type = X[13]
    ==> Normal form = x^4+x^2*y^2+(a)*y^8
    ==> Exceptional Hypersurface = a
    ==> Normal form equation =x^4+x^2*y^2+(7*a)*y^8
    ==> Minimal polynomial = (a^2-2)
    ==> Milnor number = 13
    ==> Modality = 1
    ==> Monomials corresponding to moduli terms = y^8
    ==> Delta invariant = 0
    ==> Number of branches = 0
    ==> Determinacy <= 8
    ==> Non-degenerate part = 0
    ==> Chain of transformations before Morse split of length 0
    ==> Chain of transformations after Morse split of length 0
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.